import React from 'react';
import { LinkProps } from 'react-router-dom';
export interface NamedLinkProps<TParams = object> extends LinkProps {
    to: string;
    params?: TParams;
    children: React.ReactNode;
}
declare const NamedLink: ({ to, params, children, ...otherProps }: NamedLinkProps<object>) => JSX.Element;
export default NamedLink;
